Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml
Interface WMLTableElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLTableElementImpl

public interface WMLTableElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'table' create a set of aligned columns of text and images. (Section 11.8.5, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLTableElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()`
`int` | `getColumns()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)` 'align' set the align of the table (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setColumns(int newValue)` 'columns' specifies the number of columns (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for the table (Section 11.8.5, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(java.lang.String newValue)` The xml:lang that specifics the natural or formal language in which the document is written.

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setTitle

    public void setTitle(java.lang.String newValue)

  'title' specifies a title for the table (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getTitle

    public java.lang.String getTitle()

### setAlign

    public void setAlign(java.lang.String newValue)

  'align' set the align of the table (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getAlign

    public java.lang.String getAlign()

### setColumns

    public void setColumns(int newValue)

  'columns' specifies the number of columns (Section 11.8.5, WAP WML Version 16-Jun-1999)

### getColumns

    public int getColumns()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  The xml:lang that specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.